Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.configuration
Class WMSDeegreeParams

    java.lang.Object
      org.deegree.enterprise.DeegreeParams
          org.deegree.ogcwebservices.wms.configuration.WMSDeegreeParams

All Implemented Interfaces:
  Serializable

    public class WMSDeegreeParams

extends DeegreeParams

Version:
  $Revision: 18195 $
Author:
  Andreas Poth, Markus Schneider
See Also:
  Serialized Form

Constructor Summary
`WMSDeegreeParams(int cacheSize, int maxLifeTime, int requestTimeLimit, float mapQuality, OnlineResource defaultOnlineResource, int maxMapWidth, int maxMapHeight, boolean antiAliased, int featureInfoRadius, String copyRight, URL schemaLocation, URL dtdLocation, Proxy proxy, List<String> supportedVersions, URL featureSchemaLocation, String featureSchemaNamespace, boolean filtersAllowed)`
`WMSDeegreeParams(int cacheSize, int maxLifeTime, int requestTimeLimit, float mapQuality, OnlineResource defaultOnlineResource, int maxMapWidth, int maxMapHeight, boolean antiAliased, int featureInfoRadius, String copyRight, URL schemaLocation, URL dtdLocation, Proxy proxy, List<String> supportedVersions, URL featureSchemaLocation, String featureSchemaNamespace, boolean filtersAllowed, String defaultPNGFormat)`

Method Summary
`String` | `getCopyRight()`
`String` | `getDefaultPNGFormat()`
`URL` | `getDTDLocation()`
`int` | `getFeatureInfoRadius()`
`URL` | `getFeatureSchemaLocation()`
`String` | `getFeatureSchemaNamespace()`
`boolean` | `getFiltersAllowed()`
`float` | `getMapQuality()`
`int` | `getMaxLifeTime()`
`int` | `getMaxMapHeight()`
`int` | `getMaxMapWidth()`
`Proxy` | `getProxy()`
`URL` | `getSchemaLocation()`
`List<String>` | `getSupportedVersions()`
`boolean` | `isAntiAliased()`
`void` | `setMaxMapHeight(int maxMapHeight)`
`void` | `setMaxMapWidth(int maxMapWidth)`

Methods inherited from class org.deegree.enterprise.DeegreeParams
`getCacheSize, getCharacterSet, getCharset, getDefaultOnlineResource, getRequestTimeLimit, setCacheSize, setCharacterSet, setDefaultOnlineResource, setRequestTimeLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMSDeegreeParams

    public WMSDeegreeParams(int cacheSize,
                            int maxLifeTime,
                            int requestTimeLimit,
                            float mapQuality,
                            OnlineResource defaultOnlineResource,
                            int maxMapWidth,
                            int maxMapHeight,
                            boolean antiAliased,
                            int featureInfoRadius,
                            String copyRight,
                            URL schemaLocation,
                            URL dtdLocation,
                            Proxy proxy,
                            List<String> supportedVersions,
                            URL featureSchemaLocation,
                            String featureSchemaNamespace,
                            boolean filtersAllowed)

Parameters:
  `cacheSize` -
  `maxLifeTime` -
  `requestTimeLimit` -
  `mapQuality` -
  `defaultOnlineResource` -
  `maxMapWidth` -
  `maxMapHeight` -
  `antiAliased` -
  `featureInfoRadius` - (default = 5)
  `copyRight` -
  `schemaLocation` -
  `dtdLocation` -
  `proxy` -
  `supportedVersions` -
  `featureSchemaLocation` -
  `featureSchemaNamespace` -
  `filtersAllowed` -

### WMSDeegreeParams

    public WMSDeegreeParams(int cacheSize,
                            int maxLifeTime,
                            int requestTimeLimit,
                            float mapQuality,
                            OnlineResource defaultOnlineResource,
                            int maxMapWidth,
                            int maxMapHeight,
                            boolean antiAliased,
                            int featureInfoRadius,
                            String copyRight,
                            URL schemaLocation,
                            URL dtdLocation,
                            Proxy proxy,
                            List<String> supportedVersions,
                            URL featureSchemaLocation,
                            String featureSchemaNamespace,
                            boolean filtersAllowed,
                            String defaultPNGFormat)

Parameters:
  `cacheSize` -
  `maxLifeTime` -
  `requestTimeLimit` -
  `mapQuality` -
  `defaultOnlineResource` -
  `maxMapWidth` -
  `maxMapHeight` -
  `antiAliased` -
  `featureInfoRadius` -
  `copyRight` -
  `schemaLocation` -
  `dtdLocation` -
  `proxy` -
  `supportedVersions` -
  `featureSchemaLocation` -
  `featureSchemaNamespace` -
  `filtersAllowed` -
  `defaultPNGFormat` -

Method Detail

### getMaxLifeTime

    public int getMaxLifeTime()

  Returns:
    the maximum life time of the internal processes (Threads) of the deegree WMS. default is 3600 seconds. Datasources that are linked to WMS are not targeted by this value.

### getCopyRight

    public String getCopyRight()

  Returns:
    a copy right note to draw at the left side of the maps bottom

### getMapQuality

    public float getMapQuality()

  Returns:
    the quality of the map for none loss-less image formats. the value ranges from 0 (lowest quality) to 1 (best quality)

    Default is 0.95

### getMaxMapHeight

    public int getMaxMapHeight()

  Returns:
    the maximum map height that can be requested. If the GetMap-Parameter 'HEIGHT' extends max map width an exception shall be returned to the client.

    Default is 1000

### getMaxMapWidth

    public int getMaxMapWidth()

  Returns:
    the maximum map width that can be requested. If the GetMap-Parameter 'WIDTH' extends max map width an exception shall be returned to the client.

    Default is 1000

### getSchemaLocation

    public URL getSchemaLocation()

  Returns:
    the URL where the sxm schema definition of the response to an GetFeatureInfo request is located

### getDTDLocation

    public URL getDTDLocation()

  Returns:
    the URL where the DTD defining the OGC WMS capabilities is located

### getProxy

    public Proxy getProxy()

  Returns:
    the proxy used with the WMS.

### isAntiAliased

    public boolean isAntiAliased()

  Returns:
    true if a map shall be rendered with antialising

### getFeatureInfoRadius

    public int getFeatureInfoRadius()

  Returns:
    the radius (pixel) of the area considered for a feature info request (default = 5px)

### getSupportedVersions

    public List<String> getSupportedVersions()

  Returns:
    the supportedVersions.

### setMaxMapHeight

    public void setMaxMapHeight(int maxMapHeight)

  Parameters:
    `maxMapHeight` - The maxMapHeight to set.

### setMaxMapWidth

    public void setMaxMapWidth(int maxMapWidth)

  Parameters:
    `maxMapWidth` - The maxMapWidth to set.

### getFeatureSchemaLocation

    public URL getFeatureSchemaLocation()

  Returns:
    Returns the featureSchemaLocation.

### getFeatureSchemaNamespace

    public String getFeatureSchemaNamespace()

  Returns:
    Returns the featureSchemaNamespace.

### getFiltersAllowed

    public boolean getFiltersAllowed()

  Returns:
    whether filters are supported by this WMS

### getDefaultPNGFormat

    public String getDefaultPNGFormat()

  Returns:
    the default PNG format (; mode=8bit/; mode=24bit), or null if not specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org